class GetSetValuesRequestModel {
  String? sEGMENTNAME;
  String? vALUECOLUMNNAME;
  String? dESCRIPTION;
  String? iDCOLUMNNAME;
  String? fLEXVALUESETNAME;

  GetSetValuesRequestModel(
      {this.sEGMENTNAME,
        this.vALUECOLUMNNAME,
        this.dESCRIPTION,
        this.iDCOLUMNNAME,
        this.fLEXVALUESETNAME});

  GetSetValuesRequestModel.fromJson(Map<String, dynamic> json) {
    sEGMENTNAME = json['SEGMENT_NAME'];
    vALUECOLUMNNAME = json['VALUE_COLUMN_NAME'];
    dESCRIPTION = json['DESCRIPTION'];
    iDCOLUMNNAME = json['ID_COLUMN_NAME'];
    fLEXVALUESETNAME = json['FLEX_VALUE_SET_NAME'];
  }

  Map<String, dynamic> toJson() {
    Map<String, dynamic> data = new Map<String, dynamic>();
    data['SEGMENT_NAME'] = this.sEGMENTNAME;
    data['VALUE_COLUMN_NAME'] = this.vALUECOLUMNNAME;
    data['DESCRIPTION'] = this.dESCRIPTION;
    data['ID_COLUMN_NAME'] = this.iDCOLUMNNAME;
    data['FLEX_VALUE_SET_NAME'] = this.fLEXVALUESETNAME;
    return data;
  }
}
